Subject: Re: [RFC PATCH net-next] selftests: forwarding: add a test for MAC Merge layer

From: Petr Machata <[email-masked]>
Date: Mon, 20 Mar 2023 14:49:37 +0100

Petr Machata <[email-masked]> writes:

> Petr Machata <[email-masked]> writes:
>
>> I added a shim as shown below. Comments welcome. Your patch then needs a
>> bit of adaptation, plus I've dropped all the now-useless imports of
>> qos_lib.sh. I'll pass this through our regression, and if nothing
>> explodes, I'll point you at a branch tomorrow, and you can make the two
>> patches a part of your larger patchset?
>
> (I only pushed this to our regression today. The patches are the top two
> ones here:
>
>     https://github.com/pmachata/linux_mlxsw/commits/petrm_selftests_bail_on_lldpad_move
>
> I'll let you know on Monday whether anything exploded in regression.)

Nothing _relevant_ seems to have exploded :)

I've pushed a new version of the patches with Danielle's (CC'd) R-b tags
and a fix of a typo that she noticed. Feel free to take these and
integrate / adjust / etc.